Enrichment

Search Lead with AI

POST /v1/leads/ai-chat

POST/v1/leads/ai-chat
POST
/v1/leads/ai-chat

Run a natural-language AI search. Returns the assistant reply plus the first 25 matching leads or companies when a search was produced.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

querystring

Natural-language query describing the leads or companies to find

Example: "Find fintech companies with 51-200 employees"Minimum length: 1Maximum length: 600

conversationIdstring

Existing conversation id to continue a previous AI chat session

Responses

200
AI chat processed successfully
{
  "message": "Success",
  "payload": {
    "conversationId": "69df4ac84b5e897427f09aba",
    "type": "people",
    "agentMessage": "string",
    "resultUrl": "string",
    "results": [
      {}
    ]
  }
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/leads/ai-chat" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "query": "Find fintech companies with 51-200 employees",
  "conversationId": "string"
}'

Response

No response body